Skip to main content
GET
/
v1
/
payins
/
qr-code
/
:paymentId
/
status
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "paymentId": "pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
  "isValid": true,
  "isExpired": false,
  "expiresAt": "2026-04-17T12:46:44.310Z",
  "state": "created"
}

Params

paymentId
string
required
The paymentId returned when creating the QR code payin.

Response

paymentId
string
The unique payment identifier.
isValid
boolean
Whether the QR payin is currently valid.
isExpired
boolean
Whether the QR is expired.
expiresAt
string
The ISO 8601 timestamp when the QR expires. May be omitted depending on state.
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/payins/qr-code/pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1/status' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "paymentId": "pay_3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
  "isValid": true,
  "isExpired": false,
  "expiresAt": "2026-04-17T12:46:44.310Z",
  "state": "created"
}

Error Responses

{
  "success": false,
  "error": "Not Found"
}